/*Copyright (C) 2007   Authors: Jacobo Tarragón Cros, Víctor Muñoz Ferrara, William Viana Soares. 
Email addresses: tarragon[Aŧ]aditel[DOT]org, victorm[AT]aditel[DOT]org, wviana[AT]aditel[DOT]org
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/
#ifndef  JUKEBOX_H
#define JUKEBOX_H

extern "C"{
  #include <xine.h>
}

class Jukebox{
 private:
  xine_t  *xine;
  xine_stream_t *stream;
  xine_audio_port_t *audio_port;
  xine_event_queue_t *event_queue;
  char *audio_driver;
  bool inicializarStream();
  int duracion()const;
 public:
  Jukebox();
  ~Jukebox();
  bool play(char  *mrl, int tiempo_inicio=-1);
  void stop();
};

#endif
